%define short_name      excalibur
%define short_Name      Excalibur
%define name		avalon-%{short_name}
%define version		4.1
%define release		5jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java development components
License:	Apache License
Url:		http://jakarta.apache.org/avalon/%{short_name}
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{short_Name}-%{version}-src.tar.gz
Requires:	jdom
Requires:	xalan-j2 >= 2.2.0
Requires:	servlet
Requires:	avalon-logkit >= 1.0.1
Requires:	avalon-framework >= 4.1.2
BuildRequires:	ant
BuildRequires:	junit
BuildRequires:	junitperf
BuildRequires:	jdom
BuildRequires:	xalan-j2 >= 2.2.0
BuildRequires:	servlet
BuildRequires:	avalon-logkit >= 1.0.1
BuildRequires:	avalon-framework >= 4.1.2
BuildRequires:	jndi
BuildRequires:	jms
BuildRequires:	jdbc-stdext
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Avalon Excalibur was created in order to ease development of new
projects. To that end, Excalibur contains a number of ready to use
components and utilities that handle everything from command line
parsing to thread concurrency management.
The components in the Excalibur package have been well tested and do
work reliably.

%package scratchpad
Summary:	Staging area for new components
Group:		Development/Libraries/Application Frameworks
Requires:       %{name} = %{version}-%{release}

%description scratchpad
This is an associated project that is a staging area for new Components.
When they have been sufficiently tested, we will include them in
Excalibur.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{short_Name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/avalon-logkit.jar:\
%{javadir}/avalon-framework.jar:\
%{javadir}/junit.jar:\
%{javadir}/junitperf.jar:\
%{javadir}/jdom.jar:\
%{javadir}/xml-commons-apis.jar:\
%{javadir}/xalan-j2.jar:\
%{javadir}/servlet.jar:\
%{javadir}/jndi.jar:\
%{javadir}/jms.jar:\
%{javadir}/jdbc-stdext.jar
ant all
ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
install -m 644 build/lib/avalon-scratchpad.jar $RPM_BUILD_ROOT%{javadir}/%{name}-scratchpad-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{javadir}/%{name}-%{version}.jar
%{javadir}/%{name}.jar

%files scratchpad
%defattr(-,root,root)
%{javadir}/%{name}-scratchpad-%{version}.jar
%{javadir}/%{name}-scratchpad.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-5jpp 
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-4jpp 
- distribution tag
- group tag 

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-3jpp 
- scratchpad.jar in scratchpad package

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-2jpp 
- generic servlet support

*  Mon Feb 04 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 4.1-1jpp 
- 4.1
- dropped redudant dependency on xml-commons-apis
- dependency on xalan-j2 >= 2.2.0
- dependency on avalon-logkit >= 1.0.1
- dependency on junitperf
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-5jpp 
- versioned dir for javadoc
- no dependencies for and javadoc package
- adaptation for new servlet3 package
- requires xml-commons-apis

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-4jpp
- javadoc into javadoc package
- Requires and BuildRequires servletapi3 >= 3.2.3-2

* Fri Nov 23 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 4.0-3jpp
- fixed compilation (required by cocoon2)

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 4.0-2jpp
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-1jpp
- first unified release
